Как установить Skype на Debian Jessie 64бит

Автор prometheus, 06 декабря 2014, 20:10:15

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

prometheus

При установке недостающих пакетов, которые выдал скайп при установке, а именно:

dpkg: зависимости пакетов не позволяют настроить пакет skype:
skype зависит от libc6 (>= 2.3.6-6~).
skype зависит от libc6 (>= 2.7).
skype зависит от libgcc1 (>= 1:4.1.1).
skype зависит от libqt4-dbus (>= 4:4.5.3).
skype зависит от libqt4-network (>= 4:4.8.0).
skype зависит от libqt4-xml (>= 4:4.5.3).
skype зависит от libqtcore4 (>= 4:4.7.0~beta1).
skype зависит от libqtgui4 (>= 4:4.8.0).
skype зависит от libqtwebkit4 (>= 2.1.0~2011week13).
skype зависит от libstdc++6 (>= 4.2.1).
skype зависит от libx11-6.
skype зависит от libxext6.
skype зависит от libxss1.
skype зависит от libxv1.
skype зависит от libssl1.0.0.
skype зависит от libpulse0.
skype зависит от libasound2-plugins.


был предпринят следующий шаг:

aptitude install libc6:i386 libgcc1:i386 libqt4-dbus:i386 libqt4-network:i386 libqt4-xml:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386 libstdc++6:i386 libx11-6:i386 libxext6:i386 libxss1:i386 libxv1:i386 libssl1.0.0:i386 libpulse0:i386 libasound2-plugins:i386
Не удалось найти пакеты, содержащих «libc6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libgcc1:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqt4-dbus:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqt4-network:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqt4-xml:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqtcore4:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqtgui4:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqtwebkit4:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libstdc++6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libx11-6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libxext6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libxss1:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libxv1:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libssl1.0.0:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libpulse0:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libasound2-plugins:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libc6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libgcc1:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqt4-dbus:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqt4-network:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqt4-xml:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqtcore4:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqtgui4:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libqtwebkit4:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libstdc++6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libx11-6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libxext6:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libxss1:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libxv1:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libssl1.0.0:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libpulse0:i386» в своём имени или описании
Не удалось найти пакеты, содержащих «libasound2-plugins:i386» в своём имени или описании
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.


Что делать?

Заранее благодарю!

prometheus

На всякий случай

# uname -ar
Linux deman 3.16-2-amd64 #1 SMP Debian 3.16.3-2 (2014-09-20) x86_64 GNU/Linux

yoric

dpkg --add-architecture i386, но последующий вывод Вам не понравится))

prometheus

Цитата: yoric от 06 декабря 2014, 22:25:22
dpkg --add-architecture i386, но последующий вывод Вам не понравится))
я 386-ю добавляю сразу после установки системы и при чем здесь это? Там же написано "не удалось найти пакеты", а не "не удалось установить".  8)

Malaheenee

Хорошо, банальный совет проверить список источников и выполнить apt-get update.
Или попробовать заменить aptitude на apt-get.
Все мы где-то, когда-то и в чем-то были новичками.

prometheus

Если я правильно понял, то список источников это /etc/apt/sources.list
Вот что имеется в наличии

#

# deb cdrom:[Debian GNU/Linux jessie-DI-b2 _Jessie_ - Official Snapshot amd64 DVD Binary-1 20141003-18:34]/ jessie contrib main

deb cdrom:[Debian GNU/Linux jessie-DI-b2 _Jessie_ - Official Snapshot amd64 DVD Binary-1 20141003-18:34]/ jessie contrib main

deb cdrom:[Debian GNU/Linux jessie-DI-b2 _Jessie_ - Official Snapshot amd64 DVD Binary-2 20141003-18:34]/ jessie contrib main

deb cdrom:[Debian GNU/Linux jessie-DI-b2 _Jessie_ - Official Snapshot amd64 DVD Binary-3 20141003-18:34]/ jessie contrib main

deb http://ftp.ua.debian.org/debian/ jessie main non-free contrib
deb-src http://ftp.ua.debian.org/debian/ jessie main non-free contrib

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.ua.debian.org/debian/ jessie-updates main contrib non-free
deb-src http://ftp.ua.debian.org/debian/ jessie-updates main contrib non-free

# jessie-backports, previously on backports.debian.org
deb http://ftp.ua.debian.org/debian/ jessie-backports main contrib non-free
deb-src http://ftp.ua.debian.org/debian/ jessie-backports main contrib non-free

deb http://deb.i2p2.no/ unstable main
deb-src http://deb.i2p2.no/ unstable main


update выполнял и так и так, не помогло.

Yrii

судя по wiki debian skype достаточно этого:
# dpkg --add-architecture i386
# apt-get update
# wget -O skype-install.deb http://www.skype.com/go/getskype-linux-deb
# dpkg -i skype-install.deb
# apt-get -f install

но это 99% применимо на Wheezy... может что в Jessie изменено...

prometheus

Цитата: Yrii от 07 декабря 2014, 12:50:20
судя по wiki debian skype достаточно этого:
# dpkg --add-architecture i386
# apt-get update
# wget -O skype-install.deb http://www.skype.com/go/getskype-linux-deb
# dpkg -i skype-install.deb
# apt-get -f install

но это 99% применимо на Wheezy... может что в Jessie изменено...

Делалось именно так! Обшибка - смотрите первое сообщение!

ChubaDuba

#8
Хм...Я ставил вообще просто. Скачал deb на сайте Skype, через менеджер пакетов Gdebi поставил. Все зависимости он сам подтянул.
sources.list стандартный:
deb http://ftp.ru.debian.org/debian testing main contrib non-free
deb-src http://ftp.ru.debian.org/debian testing main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free
deb-src http://ftp.debian.org/debian/ jessie-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free
Бλог   @chuba_duba

yoric

Ну вот, под занавес узнали наконец, что делалось "именно так". Ура. Тогда не знаю чего ещё делать.

Из source.list можно выкинуть строки "cdrom", и если, как я думаю, не собираете из исходников, "deb-src" тоже. Быстрее будет работать.
А "deb http://www.deb-multimedia.org/ jessie main" добавить.

На исходную ошибку это не повлияет.

Yrii

эм, кстати да, лучше закомментируй строки, где deb cdrom и сделайте apt-get update
наверное он только в deb cdrom: и посмотрел, а т.к. там у тебя только amd64, то и не чего не нашёл

Yrii

Цитата: yoric от 07 декабря 2014, 16:15:22А "deb http://www.deb-multimedia.org/ jessie main" добавить.
если реально не надо что либо от туда скачать, то лучше не подключать


prometheus

запустил я скачанный с офсайта пакет через Gdebi, установилось, качнуло все доп пакеты, но не запускается. Просто возле мышки маячит скайповский значок, а через 5-6 секунд пропадает. В процессах скайп в это время не был замечен.

prometheus

Цитата: yoric от 07 декабря 2014, 16:15:22
Ну вот, под занавес узнали наконец, что делалось "именно так". Ура. Тогда не знаю чего ещё делать.

Из source.list можно выкинуть строки "cdrom", и если, как я думаю, не собираете из исходников, "deb-src" тоже. Быстрее будет работать.
А "deb http://www.deb-multimedia.org/ jessie main" добавить.

На исходную ошибку это не повлияет.


А где ключ взять

Ошибка GPG: http://www.deb-multimedia.org jessie InRelease: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 07DC563D1F41B907

Yrii

Цитата: prometheus от 07 декабря 2014, 16:43:23
запустил я скачанный с офсайта пакет через Gdebi, установилось, качнуло все доп пакеты, но не запускается. Просто возле мышки маячит скайповский значок, а через 5-6 секунд пропадает. В процессах скайп в это время не был замечен.
а если запустить в теминале, он какие-нибудь ошибки выдаст? посмотри, может что не хватает ldd skype
как вариант, напрямую указать на LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/ /usr/bin/skype
Цитата: prometheus от 07 декабря 2014, 16:46:11А где ключ взять
Ошибка GPG: http://www.deb-multimedia.org jessie InRelease: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 07DC563D1F41B907
как вариант, можно поставить пакет deb-multimedia-keyring, согласиться с ругательством и обновить списки пакетов,